Bug 106843

Summary: --redhatprovides and --redhatrequires need update
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: rpmAssignee: Jeff Johnson <jbj>
Status: CLOSED WONTFIX QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-10-13 15:51:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Schwendt 2003-10-11 17:51:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
[Probably too early for this report.]

rpmdb-redhat has been replaced with rpmdb-fedora-0.95-0.20031010, which moves
the dependency universe database from

  /usr/lib/rpmdb/i386-redhat-linux/redhat

to:

  /usr/lib/rpmdb/i386-redhat-linux/fedora

But in /usr/lib/rpm/rpmpopt-4.2.1, the --redhatprovides and --redhatrequires
alias definitons still access /usr/lib/rpmdb/i386-redhat-linux/redhat and hence
fail.

Either the "rpm" package needs an update or the two alias definitions need to be
overridden in the "redhat-rpm-config" package (which might become
fedora-rpm-config in the future ;).

The "rpmdb-fedora" package defines %_solve_dbpath in /etc/rpm/macros.solve. That
macro could be used as soon as it is updated to define the correct path, too.


Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. rpm --redhatprovides kernel
2. rpm -qa 'rpmdb*'


Actual Results:
rpmdb-fedora-0.95-0.20031010


Expected Results:
kernel-BOOT-2.4.22-1.2088.nptl
rpmdb-fedora-0.95-0.20031010

Comment 1 Michael Schwendt 2003-10-11 17:55:00 UTC
For cross-reference:
bug #106844
(%_solve_dbpath macro is wrong in rpmdb-fedora package)


Comment 2 Jeff Johnson 2003-10-13 15:51:41 UTC
Both the --redhatprovides and --redhatrequires popt aliases are
obsolete/legacy as suggested packages are looked up
for install failures. Get rpmdb-fedora installed
"correctly" (whatever that means) and rpm should
self-configure to use.

Comment 3 Michael Schwendt 2003-11-16 11:03:32 UTC
Just for reference, the final release of Fedora Core 1 moved the
rpmdb-fedora back to /usr/lib/rpmdb/i386-redhat-linux/redhat.